
Redmine - Feature #8942

Soft deletion of ticket

2011-07-29 08:27 - t98907 t98907

Status: Closed Start date: 2011-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

[demand]

delete a ticket.

[background]

I accidentally deleted my ticket. I couldn't restore the record in DB. It is hard-deleted. Drowned at sea.

Related issues:

Related to Redmine - Feature #2893: Add a view to confirm issue deletion Reopened 2009-03-04

Is duplicate of Redmine - Feature #6666: Soft delete of issues New 2010-10-14

History

#1 - 2011-07-29 08:28 - t98907 t98907

[demand]

Soft-delete a ticket.

hiroshi kameya wrote:

[demand]

delete a ticket.

[background]

I accidentally deleted my ticket. I couldn't restore the record in DB. It is hard-deleted. Drowned at sea.

#2 - 2011-07-29 19:03 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #6666.

#3 - 2011-07-29 21:51 - t98907 t98907

- File badui.png added

- File badconfirm.png added

- Status changed from Closed to Reopened

You really don't understand the situation. That's not the same as.

If an administrator 'accidentally' deleted an issue, even the administrator couldn't restore it. Redmine takes the record out of database entirely.

Redmine has a flawed user interface design.

1. Delete link in div.contextual is too close to the history log in div#history. User will accidentally click it.

2. The default button in confirmation dialog is set to 'OK' by default. It's a typical example of bad user interface.

3. The worst is the unintended deletion without any chance of recovery.

I do wish you would rethink your decision.

#4 - 2011-07-30 10:48 - Jean-Philippe Lang
https://www.redmine.org/issues/6666


In which way it differs from #6666?

#5 - 2011-08-03 16:18 - inS klakier

Jean-Philippe Lang wrote:

In which way it differs from #6666?

 It is a superset of #6666 adding a proposal for UI redesign.

#6 - 2011-08-12 12:45 - t98907 t98907

.

#7 - 2022-01-17 00:28 - Go MAEDA

- Status changed from Reopened to Closed

t98907 t98907 wrote:

Redmine has a flawed user interface design.

1. Delete link in div.contextual is too close to the history log in div#history. User will accidentally click it.

2. The default button in confirmation dialog is set to 'OK' by default. It's a typical example of bad user interface.

3. The worst is the unintended deletion without any chance of recovery.

 I am closing this issue because the above points are tracked by existing issues.

As for the first one, some improvement was done by #26662 (Redmine 4.0.0) and #31278 (Redmine 5.0.0). The second one is tracked as #2893. The

third one is tracked as #6666.

#8 - 2022-01-17 00:29 - Go MAEDA

- Related to Feature #2893: Add a view to confirm issue deletion added

Files

badui.png 63.5 KB 2011-07-29 t98907 t98907

badconfirm.png 40.9 KB 2011-07-29 t98907 t98907
